package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 退货申请表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkThshReturndocumentService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkThshReturndocument(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkThshReturndocumentMapper.addSKcCrkThshReturndocument", pd);
    }

    public List<PageData> findSKcCrkThshReturndocumentList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkThshReturndocumentMapper.selectSKcCrkThshReturndocumentList", pd);
    }

    public Integer SKcCrkThshReturndocumentRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkThshReturndocumentMapper.SKcCrkThshReturndocumentRemove", pd);
    }


    public Integer updateSKcCrkThshReturndocument(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkThshReturndocumentMapper.updateSKcCrkThshReturndocument", pd);
    }

}
